<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=iso-8859-1">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="StarOffice 6.0  (Solaris Sparc)">
	<META NAME="AUTHOR" CONTENT="dermot mccluskey">
	<META NAME="CREATED" CONTENT="20011001;14124200">
	<META NAME="CHANGED" CONTENT="20020103;15592900">
	<STYLE>
	<!--
		P.text-body-indent { margin-left: 0.5cm }
	-->
	</STYLE>
</HEAD>
<BODY>
<H1 ALIGN=CENTER>Xmerge Test Spec</H1>
<H2>1.0 Intorduction</H2>
<BLOCKQUOTE>This document outlines the tests to be performed on
Xmerge, the XML-to-PDB converter for the SunONE Webtop.</BLOCKQUOTE>
<H2>1.1 Authors</H2>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">Dermot McCluskey
	(dermot.mccluskey@sun.com) 
	</P>
	<LI><P>Keelin Boyle (keelin.boyle@sun.com) 
	</P>
</UL>
<H2>1.2 Project/Product Identifier</H2>
<BLOCKQUOTE>XMerge</BLOCKQUOTE>
<H2>1.3 Reision History</H2>
<P STYLE="margin-bottom: 0cm">&nbsp; 
</P>
<TABLE COLS=4 WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<TR>
		<TD>
			<P><B>Date</B></P>
		</TD>
		<TD>
			<P><B>Revision</B></P>
		</TD>
		<TD>
			<P><B>Comments</B></P>
		</TD>
		<TD>
			<P><B>Approval</B></P>
		</TD>
	</TR>
	<TR>
		<TD>
			<P>28-Sep-2001</P>
		</TD>
		<TD>
			<P>0.3</P>
		</TD>
		<TD>
			<P>Draft 3.</P>
		</TD>
		<TD></TD>
	</TR>
	<TR>
		<TD></TD>
		<TD></TD>
		<TD></TD>
		<TD></TD>
	</TR>
</TABLE>
<H2>1.4 Document Customers</H2>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">XMerge Development team 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">Ireland Desktop Test team 
	</P>
	<LI><P>SunONE Webtop C-team 
	</P>
</UL>
<H2>1.5 References</H2>
<H2>2.0 Requirements &amp; Dependencies</H2>
<BLOCKQUOTE>Successful automation of the tests outlined in this
specification is dependent on the stability and reliability of the
POSE emulator and the EmRPC Perl module that allows test
automation.&nbsp;&nbsp; There is a risk associated with this in that
the emulator software may not accurately emulate every aspect of the
PalmOS and so the automated tests may not discover bugs which occur
in &quot;real world&quot; scenarios.&nbsp; Also, if the automation
software we use proves not to be reliable enough to consistently
return the same test results, then the effort spent creating the test
automation scripts will not be worthwhile. 
</BLOCKQUOTE>
<BLOCKQUOTE>Verification of test results will depend on the usability
of the Java-based Comparator applications, developed by the US&nbsp;Webtop
QA&nbsp;team, which will be used to compare the output XML and
PDB&nbsp;files with the expected results. 
</BLOCKQUOTE>
<BLOCKQUOTE>Many of the tests described in this specification are
very time consuming and it would not be practical to execute them
manually on a regular basis.</BLOCKQUOTE>
<H2>2.1Required Tools &amp; Technologies</H2>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">PalmOS Emulator (POSE) 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">EmRPC Perl module and Test Driver
	harness 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">Comparator applications (XML and
	PDB&nbsp;comparison utilities) 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">Palm V device ??? 
	</P>
	<LI><P>StarOffice 6.X. 
	</P>
</UL>
<H2>2.2 Test Framework Used</H2>
<BLOCKQUOTE>These tests are to be automated using the POSE emulator
and the Test Driver developed by the XMerge team, which interacts
with the EmRPC module and allows test engineers to write test scripts
to control the conversion of documents and the interaction with the
POSE emulator.&nbsp; Using this software, it is possible to automate
the process of loading documents into the appropriate Palm
application, apply edits to the document within the Palm emulator and
export the document.</BLOCKQUOTE>
<H2>3.0 Scope of Work</H2>
<H2>4.0 Test Strategy</H2>
<H2>4.1Test Suite Location</H2>
<H2>4.2 Strategy overview</H2>
<H2>4.3 Test Cases and Assertions</H2>
<H2>4.4 Testing Not Performed</H2>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">Performance Testing 
	</P>
	<LI><P>Internationalization (I18N) related testing. 
	</P>
</UL>
<H2>5.0 Test Cases</H2>
<BLOCKQUOTE>The test cases are divided into seperate sections for
each PDB format supported by XMerge, and further divided into
Convert and Merge tests within each format.&nbsp; The Convert tests
validate that XMerge can perform the round trip conversion from
StarOffice XML-based file format to PalmOS PDB format and back to
StarOffice XML format again, without any loss of content.&nbsp; The
Merge tests validate that XMerge can merge edits made on the Palm
device with the original StarOffice XML file, while retaining any
information in the original document which could not to translated
into PDB format, eg embedded tables. 
</BLOCKQUOTE>
<BLOCKQUOTE>Each section is further divided into Content and Style
tests.&nbsp; The Content tests deal with the ability of XMerge to
retain all the meaningful content, eg text, after the conversion and
merging process.&nbsp; The Style tests deal with the ability of
XMerge to retain the stylistic details, eg bold face; justification;
line breaks, from the same round-trip conversion.&nbsp; The
Content-retaining functionality is considered of much higher priority
than the Style-retaining functionality in version 1.1. <BR>&nbsp;</BLOCKQUOTE>
<H2>5.1 AportisDoc Tests</H2>
<H2>5.1.1 AportisDoc Convert Tests</H2>
<H2>5.1.1.1 AportisDoc Convert Content Tests</H2>
<TABLE WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><BR>
			</P>
		</TD>
		<TD>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD>
			<P><BR>
			</P>
		</TD>
		<TD>
			<P><BR>
			</P>
		</TD>
	</TR>
</TABLE>
<H2>5.1.1.2 AportisDoc Convert Style Tests</H2>
<P><BR>&nbsp; 
</P>
<H2>5.1.2 Aportis Merge Tests</H2>
<H2>5.1.2.1 AportisDoc Merge Content Tests</H2>
<TABLE WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<COL WIDTH=77*>
	<COL WIDTH=179*>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><BR>
			</P>
		</TD>
		<TD WIDTH=70%>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><BR>
			</P>
		</TD>
		<TD WIDTH=70%>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><BR>
			</P>
		</TD>
		<TD WIDTH=70%>
			<P><BR>
			</P>
		</TD>
	</TR>
</TABLE>
<H2>5.1.2.2 AportisDoc Merge Style Tests</H2>
<TABLE WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<COL WIDTH=72*>
	<COL WIDTH=184*>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/animatedgif</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with an embedded image &#8211;
			straight forward convert and merge</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_animatedgif.sxw</B>. 
			</P>
			<P>Convert a_animatedgif.sxw to a_animatedgif.pdb, in AportisDoc
			PDB format. <BR>Start POSE with AportisDoc application and import
			a_animatedgif.pdb. <BR>Export the doc back to a_animatedgif.pdb.
			<BR>Merge a_animatedgif.pdb and the original document to
			a_animatedgif.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<BLOCKQUOTE>This document has a animated gif embedded in it.</BLOCKQUOTE>
			<BLOCKQUOTE>Start of animated gif.</BLOCKQUOTE>
			<BLOCKQUOTE>&lt;Image of spinning globe&gt;</BLOCKQUOTE>
			<BLOCKQUOTE>End of animated gif. 
			</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/bolddoc</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with bold type and varying font &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_bolddoc.sxw</B>. 
			</P>
			<P>Convert a_bolddoc.sxw to a_bolddoc.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_bolddoc.pdb. <BR>Export the doc back to a_bolddoc.pdb. <BR>Merge
			a_bolddoc.pdb and the original document to a_bolddoc.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<BLOCKQUOTE><STRONG>This complete line is in <FONT SIZE=6 STYLE="font-size: 22pt">bold</FONT>
			with font set to Times New Roman. The word bold is of size 22,
			while rest of the words are of size 12. </STRONG>
			</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/bookmarks</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with inserted bookmarks &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_bookmarks.sxw</B>. 
			</P>
			<P>Convert a_bookmarks.sxw to a_bookmarks.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_bookmarks.pdb. <BR>Export the doc back to a_bookmarks.pdb.
			<BR>Merge a_bookmarks.pdb and the original document to
			a_bookmarks.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<BLOCKQUOTE>Two paragraphes of text with 2 bookmarks set. To
			identify bookmarks, select Edit -&gt; Navigator and bookmarks,
			user should see BK1 and BK2 and clicking on these labels in the
			navigator popup places the cursor in the position of the original
			bookmark, .i.e. 
			</BLOCKQUOTE>
			<BLOCKQUOTE>BK1 = Bookmark|</BLOCKQUOTE>
			<BLOCKQUOTE>BK2 = Silicon 
			</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/bulletorderedlist</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with bulletorderedlist &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_bulletorderedlist.sxw</B>.
						</P>
			<P>Convert a_bulletorderedlist.sxw to a_bulletorderedlist.pdb, in
			AportisDoc PDB format. <BR>Start POSE with AportisDoc application
			and import a_bulletorderedlist.pdb. <BR>Export the doc back to
			a_bulletorderedlist.pdb. <BR>Merge a_bulletorderedlist.pdb and the
			original document to a_bulletorderedlist.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal">This document is
			an example of a simple bullet ordered list.</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<UL>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Bullet 1</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Bullet 2</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Bullet 3</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Bullet 4</P>
			</UL>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<BLOCKQUOTE STYLE="font-style: normal">End of bullet Ordered list.</BLOCKQUOTE>
			<BLOCKQUOTE><BR>
			</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/emptydoc</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: empty document &#8211; straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_emptydoc.sxw</B>. 
			</P>
			<P>Convert a_emptydoc.sxw to a_emptydoc.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_emptydoc.pdb. <BR>Export the doc back to a_emptydoc.pdb. <BR>Merge
			a_emptydoc.pdb and the original document to a_emptydoc.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<BLOCKQUOTE><STRONG>&lt;empty document&gt;. </STRONG>
			</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/firstlineindent</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with line indent &#8211; straight
			forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_firstlineindent.sxw</B>.
						</P>
			<P>Convert a_firstlineindent.sxw to a_firstlineindent.pdb, in
			AportisDoc PDB format. <BR>Start POSE with AportisDoc application
			and import a_firstlineindent.pdb. <BR>Export the doc back to
			a_firstlineindent.pdb. <BR>Merge a_firstlineindent.pdb and the
			original document to a_firstlineindent.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<BLOCKQUOTE>This line is using First Line indent style. Now isnt
			that Kool... Also Im running short of words to say here, to wrap
			this particular sentence.</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/fontsize</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with varying font size &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_fontsize.sxw</B>. 
			</P>
			<P>Convert a_fontsize.sxw to a_fontsize.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_fontsize.pdb. <BR>Export the doc back to a_fontsize.pdb. <BR>Merge
			a_fontsize.pdb and the original document to a_fontsize.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<BLOCKQUOTE>Text with font size 10, 16, 20, 40, 96.</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/heading</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with heading type style &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_heading.sxw</B>. 
			</P>
			<P>Convert a_heading.sxw to a_heading.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_heading.pdb. <BR>Export the doc back to a_heading.pdb. <BR>Merge
			a_heading.pdb and the original document to a_heading.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-top: 0.42cm; page-break-after: avoid"><FONT FACE="Times New Roman, serif"><FONT SIZE=4>This
			piece of text is in Heading paragraph style.</FONT></FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/heading1</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with heading1 type style &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_heading1.sxw</B>. 
			</P>
			<P>Convert a_heading1.sxw to a_heading1.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_heading1.pdb. <BR>Export the doc back to a_heading1.pdb. <BR>Merge
			a_heading1.pdb and the original document to a_heading1.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<H1 STYLE="font-weight: medium">This piece of text is in Heading1
			paragraph style</H1>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/heading2</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with heading2 type style &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_heading2.sxw</B>. 
			</P>
			<P>Convert a_heading2.sxw to a_heading2.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_heading2.pdb. <BR>Export the doc back to a_heading2.pdb. <BR>Merge
			a_heading2.pdb and the original document to a_heading2.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<H2>This document is set in Heading2 style.</H2>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/hyperlink</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with embedded hyperlink &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_hyperlink.sxw</B>. 
			</P>
			<P>Convert a_hyperlink.sxw to a_hyperlink.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_hyperlink.pdb. <BR>Export the doc back to a_hyperlink.pdb.
			<BR>Merge a_hyperlink.pdb and the original document to
			a_hyperlink.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">This line is bookmarked to BK1
			(Insert-Bookmark)</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm">The line <A HREF="http://sunweb.central/allhome.html">SunWeb
			Home Page</A> has a hyperlink to sunweb.central.</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm">This line is a hyperlink to <A HREF="#BK1">BK1</A>.
			Click here will take cursor to top of page.</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P>&lt;Check hyperlink has the correct address.&gt;</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/justified</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with justified styling &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_justified.sxw</B>. 
			</P>
			<P>Convert a_justified.sxw to a_justified.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_justified.pdb. <BR>Export the doc back to a_justified.pdb.
			<BR>Merge a_justified.pdb and the original document to
			a_justified.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal"><SUP><FONT SIZE=5 STYLE="font-size: 20pt">Left
			aligned text</FONT></SUP></P>
			<P ALIGN=CENTER STYLE="margin-bottom: 0cm; font-style: normal"><SUP><FONT SIZE=5 STYLE="font-size: 20pt">Centre
			aligned</FONT></SUP></P>
			<P ALIGN=RIGHT STYLE="margin-bottom: 0cm; font-style: normal"><SUP><FONT SIZE=5 STYLE="font-size: 20pt">Right
			aligned </FONT></SUP>
			</P>
			<P ALIGN=JUSTIFY STYLE="font-style: normal"><SUP><FONT SIZE=5 STYLE="font-size: 20pt">Justified</FONT></SUP></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/linebreaks</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with linebreaks &#8211; straight
			forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_linebreaks.sxw</B>. 
			</P>
			<P>Convert a_linebreaks.sxw to a_linebreaks.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_linebreaks.pdb. <BR>Export the doc back to a_linebreaks.pdb.
			<BR>Merge a_linebreaks.pdb and the original document to
			a_linebreaks.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">This page has a line breaks inserted
			at end of this line.<BR>When coverted to doc format it should
			accordingly be broken up at the same point.</P>
			<P ALIGN=LEFT STYLE="text-indent: 0.2cm; margin-top: 0.4cm; margin-bottom: 0.41cm">
			A simple list</P>
			<OL>
				<LI><P ALIGN=LEFT>second entry. A line break follows<BR>the above
				line has been broken with a line break</P>
			</OL>
			<P STYLE="font-style: normal"><SUP><FONT SIZE=5 STYLE="font-size: 20pt">Third
			entry</FONT></SUP></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/linespacing</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with varied linespacing &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_linespacing.sxw</B>. 
			</P>
			<P>Convert a_linespacing.sxw to a_linespacing.pdb, in AportisDoc
			PDB format. <BR>Start POSE with AportisDoc application and import
			a_linespacing.pdb. <BR>Export the doc back to a_linespacing.pdb.
			<BR>Merge a_linespacing.pdb and the original document to
			a_linespacing.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm"><I>First: This line and thenext line
			is spaced by double-line spacing</I></P>
			<P STYLE="margin-bottom: 0cm"><I>Second: Note the line-distance
			spacing</I></P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm"><B>First: This line and the next
			line is spaced by single-line spacing</B></P>
			<P STYLE="margin-bottom: 0cm"><B>Second: Note the line-distance
			spacing</B></P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm; font-weight: medium">First: This
			line and the next line is spaced by 1.5 line spacing</P>
			<P STYLE="font-weight: medium">Second: Not the line-distance
			spacing.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/numberorderedlist</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with numberorderedlist &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_numberorderedlist.sxw</B>.
						</P>
			<P>Convert a_numberorderedlist.sxw to a_numberorderedlist.pdb, in
			AportisDoc PDB format. <BR>Start POSE with AportisDoc application
			and import a_numberorderedlist.pdb. <BR>Export the doc back to
			a_numberorderedlist.pdb. <BR>Merge a_numberorderedlist.pdb and the
			original document to a_numberorderedlist.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal">This document is
			an example of a simple numbered ordered list.</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<OL>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">First</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Second</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Third</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Fourth</P>
			</OL>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal">End of numbered
			Ordered list</P>
			<BLOCKQUOTE><BR>
			</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/pagebreak</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with pagebreaks &#8211; straight
			forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_pagebreak.sxw</B>. 
			</P>
			<P>Convert a_pagebreak.sxw to a_pagebreak.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_pagebreak.pdb. <BR>Export the doc back to a_pagebreak.pdb.
			<BR>Merge a_pagebreak.pdb and the original document to
			a_pagebreak.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">The document has page breaks</P>
			<P STYLE="margin-bottom: 0cm">Page 1 
			</P>
			<P>-now a page break-</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/paragraph</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with set paragraph styling&#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_paragraph.sxw</B>. 
			</P>
			<P>Convert a_paragraph.sxw to a_paragraph.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_paragraph.pdb. <BR>Export the doc back to a_paragraph.pdb.
			<BR>Merge a_paragraph.pdb and the original document to
			a_paragraph.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">This line is a paragraph. It is
			indented from left hand side by 1.0 inch and from right and side
			by 1.0 inch (paragraph 
			</P>
			<P>settings).</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/standard</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with standard text and default
			settings &#8211; straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_standard.sxw</B>. 
			</P>
			<P>Convert a_standard.sxw to a_standard.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_standard.pdb. <BR>Export the doc back to a_standard.pdb. <BR>Merge
			a_standard.pdb and the original document to a_standard.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P><FONT FACE="Times New Roman">This line of text is listed in
			standard style.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/subscript</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with subscript text setting &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_subscript.sxw</B>. 
			</P>
			<P>Convert a_subscript.sxw to a_subscript.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_subscript.pdb. <BR>Export the doc back to a_subscript.pdb.
			<BR>Merge a_subscript.pdb and the original document to
			a_subscript.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm"><FONT FACE="Times New Roman"><FONT SIZE=4>The
			last word on this line is in subscript. <SPAN STYLE="font-style: normal"><SUB>Dude</SUB></SPAN></FONT></FONT></P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/superscript</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with superscript text setting &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_subscript.sxw</B>. 
			</P>
			<P>Convert a_superscript.sxw to a_superscript.pdb, in AportisDoc
			PDB format. <BR>Start POSE with AportisDoc application and import
			a_superscript.pdb. <BR>Export the doc back to a_superscript.pdb.
			<BR>Merge a_superscript.pdb and the original document to
			a_superscript.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm"><FONT FACE="Times New Roman"><FONT SIZE=4>The
			last word on this line is in superscript. <SPAN STYLE="font-style: normal"><SUP>Dude
			</SUP></SPAN></FONT></FONT>
			</P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/symbols</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with various symbol types &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_symbols.sxw</B>. 
			</P>
			<P>Convert a_symbols.sxw to a_symbols.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_symbols.pdb. <BR>Export the doc back to a_symbols.pdb. <BR>Merge
			a_symbols.pdb and the original document to a_symbols.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">'-'-'-'-&gt;-&gt;-&gt;-&gt;.
			'''''''. -------. &gt;&gt;&gt;&gt;&gt;&gt;&gt;</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal"><SUP><FONT FACE="Times New Roman"><FONT SIZE=4>!&#8221;&pound;$%^&amp;*()_+}{~@:?&gt;&lt;,./;'#][=-???
			</FONT></FONT></SUP>
			</P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/tab</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with tab styling &#8211; straight
			forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_tab.sxw</B>. 
			</P>
			<P>Convert a_tab.sxw to a_tab.pdb, in AportisDoc PDB format.
			<BR>Start POSE with AportisDoc application and import a_tab.pdb.
			<BR>Export the doc back to a_tab.pdb. <BR>Merge a_tab.pdb and the
			original document to a_tab.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant document should
			contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">This is a tabbed document</P>
			<P STYLE="margin-bottom: 0cm">1 Tab line</P>
			<P STYLE="margin-bottom: 0cm">2 tabbed line</P>
			<P STYLE="margin-bottom: 0cm">3 tabbed line</P>
			<P STYLE="margin-bottom: 0cm">2 tabbed line</P>
			<P STYLE="margin-bottom: 0cm">1 Tab line</P>
			<P STYLE="margin-bottom: 0cm">4 tab line</P>
			<P STYLE="margin-bottom: 0cm">2 tab line</P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/table</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with table &#8211; straight forward
			convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_table.sxw</B>. 
			</P>
			<P>Convert a_table.sxw to a_table.pdb, in AportisDoc PDB format.
			<BR>Start POSE with AportisDoc application and import a_table.pdb.
			<BR>Export the doc back to a_table.pdb. <BR>Merge a_table.pdb and
			the original document to a_table.sxw. 
			</P>
			<P><B>Expected result:</B> 
			</P>
			<P>The resultant document should contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">&lt;Check table &amp; contents are
			identical to original.&gt; 
			</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm">This document has a table with 3
			rows and 3 columns:</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P><BR><BR>
			</P>
			<P STYLE="margin-bottom: 0cm">&lt;TABLE &amp; CONTENTS&gt;</P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/textspan</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document testing textspan
			italics,bolds,underline together&#8211; straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_textspan.sxw</B>. 
			</P>
			<P>Convert a_textspan.sxw to a_textspan.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_textspan.pdb. <BR>Export the doc back to a_textspan.pdb. <BR>Merge
			a_textspan.pdb and the original document to a_textspan.sxw. 
			</P>
			<P><B>Expected result:</B> 
			</P>
			<P>The resultant document should contain: 
			</P>
			<P STYLE="margin-bottom: 0cm">Document indicating Text Span</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm; font-weight: medium"><I>This is a
			simple line with some amount of text. The whole line is in italic
			except the next 3 words which is also <B>SET TO BOLD</B>. Also the
			next word is <U>UNDERLINED</U>. The essence is differnet styles
			within the same text span.</I></P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/style/unorderedlist</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document with unorderedlist &#8211; straight
			forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_unorderedlist.sxw</B>.
						</P>
			<P>Convert a_unorderedlist.sxw to a_unorderedlist.pdb, in
			AportisDoc PDB format. <BR>Start POSE with AportisDoc application
			and import a_unorderedlist.pdb. <BR>Export the doc back to
			a_unorderedlist.pdb. <BR>Merge a_unorderedlist.pdb and the
			original document to a_unorderedlist.sxw. 
			</P>
			<P><B>Expected result:</B> 
			</P>
			<P>The resultant document should contain: 
			</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal">This document is
			an example of a simple un- ordered list</P>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<OL>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Wag the Dog</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Gladiator</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Insider</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Usual
				Suspects</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Glengarry
				Glen Ross</P>
			</OL>
			<OL>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Host Shots</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Airplane</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Monty
				Python</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">History of
				the World</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Sacry Movie</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Austin
				Powers</P>
			</OL>
			<UL>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Scarlet and
				the Black</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Operation
				Day Break</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Life is
				Beautiful</P>
				<LI><P STYLE="margin-bottom: 0cm; font-style: normal">Nephew
				(beutfiul soundtrack)</P>
			</UL>
			<P STYLE="margin-bottom: 0cm"><BR>
			</P>
			<P STYLE="margin-bottom: 0cm; font-style: normal; font-weight: medium">
			End of un-ordered list.</P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/content/style/wordwrap</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: document which tests wordwrapping &#8211;
			straight forward convert</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_wordwrap.sxw</B>. 
			</P>
			<P>Convert a_wordwrap.sxw to a_wordwrap.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_wordwrap.pdb. <BR>Export the doc back to a_wordwrap.pdb. <BR>Merge
			a_wordwrap.pdb and the original document to a_wordwrap.sxw. 
			</P>
			<P><B>Expected result:</B> 
			</P>
			<P>The resultant document should contain:</P>
			<P STYLE="margin-bottom: 0cm; font-weight: medium"><I>This line is
			a long line just to check if the word wrap feature works fine,
			when it is synched onto the PDA..</I></P>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/content/simple01</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: simple document - insert text at beginning 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_standard.sxw</B>. 
			</P>
			<P>Convert a_standard.sxw to a_standard.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_standard.pdb. <BR>Insert the following text, including the
			terminating line-feed, at the beginning of the first line: 
			</P>
			<BLOCKQUOTE>New text added to simple file.</BLOCKQUOTE>
			<P>Export the doc back to a_standard.pdb. <BR>Merge a_standard.pdb
			and the original document to a_standard.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain: 
			</P>
			<BLOCKQUOTE>New text added to simple file. <BR>This&nbsp; line of
			text is listed in standard&nbsp; style&nbsp;</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/content/simple02</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: simple document - insert text in middle 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_standard.sxw</B>. 
			</P>
			<P>Convert a_standard.sxw to a_standard.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_standard.pdb. <BR>Insert the following text immediately after
			the word &quot;text&quot;: 
			</P>
			<BLOCKQUOTE>, including this inserted phrase,&nbsp;</BLOCKQUOTE>
			<P>Export the doc back to a_standard.pdb. <BR>Merge a_standard.pdb
			and the original document to a_standard.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain: 
			</P>
			<BLOCKQUOTE>This&nbsp; line of text, including this inserted
			phrase, is listed in standard&nbsp; style&nbsp;</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=28%>
			<P><B>aportis/merge/content/simple03</B></P>
		</TD>
		<TD WIDTH=72%>
			<P><B>Summary</B>: simple document - append text 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>a_standard.sxw</B>. 
			</P>
			<P>Convert a_standard.sxw to a_standard.pdb, in AportisDoc PDB
			format. <BR>Start POSE with AportisDoc application and import
			a_standard.pdb. <BR>Append a new-line at the end of the line and
			add the following line: 
			</P>
			<BLOCKQUOTE>This is also in standard style</BLOCKQUOTE>
			<P>Export the doc back to a_standard.pdb. <BR>Merge a_standard.pdb
			and the original document to a_standard.sxw. 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain: 
			</P>
			<BLOCKQUOTE>This&nbsp; line of text is listed in standard&nbsp;
			style <BR>This is also in standard style</BLOCKQUOTE>
		</TD>
	</TR>
</TABLE>
<H2>5.2 MiniCalc Tests</H2>
<H2>5.2.1 MiniCalc Convert Tests</H2>
<H2>5.2.1.1 MiniCalc Merge Style Tests</H2>
<TABLE WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<COL WIDTH=77*>
	<COL WIDTH=179*>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><B>minicalc/merge/style/columnswidth</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=70%>
			<P><B>Summary</B>: Spreadsheet with 5 columns 10 entries -
			Spreadsheet columnwidth variation.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_columnswidth.sxc</B>.&nbsp;
						</P>
			<P>Convert c_columnswidth.sxc to c_columnswidth.pdb, in MiniCalc
			PDB format.&nbsp; <BR>Start POSE with MiniCalc application and
			import c_columnswidth.pdb.&nbsp;</P>
			<P>Choose Cell Reference &quot;B1&quot; &amp; alter column width
			to 1.55 by selecting, Format -&gt; Column -&gt; Width... &lt; make
			width change via spin button&gt; -&gt; OK, also decrease &quot;E1&quot;
			similarly to have a column width of 1.68.<BR><BR><BR>
			</P>
			<P>Export the doc back to c_columnswidth.pdb.&nbsp; <BR>Merge
			c_columnswidth.pdb to c_columnswidth.sxw.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			column B with a width increase of 1.0 , and column E with a width
			decrease of 1.0, as compared with the original file, reflecting
			the changes stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><B>minicalc/merge/style/rowheight</B></P>
		</TD>
		<TD WIDTH=70%>
			<P><B>Summary</B>: Spreadsheet with 4 columns 3 rows 12 entries -
			Spreadsheet rowheight variation.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_rowheight.sxc</B>.&nbsp;
						</P>
			<P>Convert c_rowheight.sxc to c_rowheight.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_rowheight.pdb.&nbsp;</P>
			<P><BR>Choose Cell Reference &quot;A1&quot; &amp; alter row height
			to 1.17 by selecting Format -&gt; Row -&gt; Height... &lt;make
			height change via spin button&gt; -&gt; OK., also decrease &quot;A3&#8221;
			similarly to have a row height of 0.30.&nbsp; 
			</P>
			<P>Export the doc back to c_rowheight.pdb.&nbsp; <BR>Merge
			c_rowheight.pdb to c_rowheight.sxw.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			row &#8220;Row 1&#8221; with a height increase of 1.0 and &quot;Row
			3&quot; with a height decrease of 0.41, as compared with the
			original file, reflecting the changes stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><B>minicalc/merge/style/rowstyles</B></P>
		</TD>
		<TD WIDTH=70%>
			<P><B>Summary</B>: Spreadsheet with 5 columns 6 rows 18 entries -
			Spreadsheet rowstyle variation.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_rowstyle.sxc</B>. 
			</P>
			<P>Convert c_rowstyles.sxc to c_rowstyles.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_rowstyles.pdb.&nbsp;</P>
			<P>Choose Cell Reference &quot;B3&quot; and change Heading style
			to default, by selecting, Format -&gt; Style Catelog -&gt; &lt;choose
			heading type from listbox&gt;, also choose cellreference &quot;D5&quot;
			and change Heading style to Heading1, also change &quot;C5&quot;
			to remove bold, underline &amp; italic.&nbsp; 
			</P>
			<P><BR>Export the doc back to c_rowstyles.pdb.&nbsp; <BR>Merge
			c_rowstyles.pdb to c_rowstyles.sxw.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			value's and style types as in original file, except cells &quot;B3,
			&amp; D5&quot; which should display heading types default &amp;
			Heading 1 resp. and &quot;C5&quot; which should be plain text,
			reflecting the changes stated above.</P>
		</TD>
	</TR>
</TABLE>
<H2>5.2.1.2 MiniCalc Convert Style Tests</H2>
<TABLE WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<COL WIDTH=77*>
	<COL WIDTH=179*>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><B>minicalc/convert/style/styles</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=70%>
			<P><B>Summary</B>: Spreadsheet with 3 columns 10 rows 13 entries -
			Spreadsheet styles test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_styles.sxc</B>.&nbsp; 
			</P>
			<P>Convert c_styles.sxc to c_styles.pdb, in MiniCalc PDB format.&nbsp;
			<BR>Start POSE with MiniCalc application and import c_styles.pdb.&nbsp;
			<BR>Export the doc back to c_styles.pdb.&nbsp; <BR>Merge
			c_styles.pdb to c_styles.sxw.&nbsp;</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values with style features, .i.e Bold, Italics,
			.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=30%>
			<P><B>minicalc/convert/style/alignment</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=70%>
			<P><B>Summary</B>: Spreadsheet with 4 columns 8 rows 24 entries -
			Spreadsheet alignment test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_alignment.sxc</B>.&nbsp;
						</P>
			<P>Convert c_alignment.sxc to c_alignment.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_alignment.pdb.&nbsp; <BR>Export the doc back to
			c_alignment.pdb.&nbsp; <BR>Merge c_alignment.pdb to
			c_alignment.sxw.&nbsp;</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values with identical alignment to original
			file.</P>
		</TD>
	</TR>
</TABLE>
<H2><BR><BR>
</H2>
<H2>5.2.2.1 MiniCalc Merge Content Tests</H2>
<TABLE WIDTH=100% BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<COL WIDTH=77*>
	<COL WIDTH=179*>
	<TR>
		<TD WIDTH=30% VALIGN=TOP>
			<P><B>minicalc/merge/content/insertimage</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=70% VALIGN=BOTTOM>
			<P><B>Summary</B>: Spreadsheet with 6 columns 2 image inserts -
			Spreadsheet image insert.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_insertimage.sxc</B>.&nbsp;
						</P>
			<P>Convert c_insertimage.sxc to c_insertimage.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_insertimage.pdb.&nbsp; <BR>Export the doc back to
			c_insertimage.pdb.&nbsp; <BR>Merge c_insertimage.pdb to
			c_insertimage.sxw.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			original file with both original images.</P>
		</TD>
	</TR>
	<TR>
		<TD WIDTH=30% VALIGN=TOP>
			<P><B>minicalc/merge/content/textimage</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=70% VALIGN=BOTTOM>
			<P><B>Summary</B>: Spreadsheet with 6 columns 2 image inserts -
			Spreadsheet image text insert.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_textimage.sxc</B>.&nbsp;
						</P>
			<P>Convert c_textimage.sxc to c_textimage.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_textimage.pdb.&nbsp;</P>
			<P>Insert text immediately before and directly after the inserted
			image.</P>
			<P>Export the doc back to c_textimage.pdb.&nbsp; <BR>Merge
			c_textimage.pdb to c_textimage.sxw.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			original image surrounded by text .i.e text before &amp; after the
			insert.</P>
		</TD>
	</TR>
</TABLE>
<H2>5.2.2.2 MiniCalc Convert Contents Tests</H2>
<TABLE WIDTH=1025 BORDER=1 CELLPADDING=2 CELLSPACING=0>
	<COL WIDTH=431>
	<COL WIDTH=584>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><BR>
			</P>
		</TD>
		<TD WIDTH=584>
			<P><BR>
			</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/basic</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary: </B>simple spreadsheet - round-trip conversion&nbsp;
						</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_standard.sxc</B>.&nbsp;
						</P>
			<P>Convert c_standard.sxc to c_standard.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_standard.pdb. Export the doc back to c_standard.pdb, without
			making and changes to the spreadsheet.&nbsp; <BR>Merge
			c_standard.pdb to c_standard.sxc.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should be
			equivalent to the original spreadsheet.&nbsp; <BR>&nbsp;</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/simple01</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: simple spreadsheet - insert text &amp; column
			of numeric values at beginning of empty sheet.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_standard.sxc</B>.&nbsp;
						</P>
			<P>Convert c_standard.sxc to c_standard.pdb, in Minicalc PDB
			format.&nbsp; <BR>Start POSE with Minicalc application and import
			c_standard.pdb.&nbsp; <BR>Insert the following text &amp; values
			at the beginning of the the spreadsheet, .i.e in Column 1:&nbsp; 
			</P>
			<BLOCKQUOTE>Col 1</BLOCKQUOTE>
			<BLOCKQUOTE>1</BLOCKQUOTE>
			<BLOCKQUOTE>1</BLOCKQUOTE>
			<BLOCKQUOTE>1</BLOCKQUOTE>
			<P>Export the doc back to c_standard.pdb.&nbsp; <BR>Merge
			c_standard.pdb to c_standard.sxc.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain:&nbsp;
						</P>
			<BLOCKQUOTE STYLE="margin-left: 6.05cm">New column of values as
			shown above.&nbsp;</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/simple02</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: simple spreadsheet - append a new column to
			end&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_standard.sxc</B>.&nbsp;
						</P>
			<P>Convert c_standard.sxc to c_standard.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_standard.pdb.&nbsp; <BR>Insert the following column immediately
			after the first:&nbsp; 
			</P>
			<BLOCKQUOTE>Col 3</BLOCKQUOTE>
			<BLOCKQUOTE>3</BLOCKQUOTE>
			<BLOCKQUOTE>3</BLOCKQUOTE>
			<BLOCKQUOTE>3</BLOCKQUOTE>
			<P>Export the doc back to c_standard.pdb.&nbsp; <BR>Merge
			c_standard.pdb to c_standard.sxc.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain:&nbsp;
						</P>
			<P CLASS="text-body-indent">Col 1 Col 3</P>
			<BLOCKQUOTE>1 3 
			</BLOCKQUOTE>
			<BLOCKQUOTE>1 3</BLOCKQUOTE>
			<BLOCKQUOTE>1 3</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/simple03</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: simple spreadsheet - insert a new column in
			middle&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_standard.sxc</B>.&nbsp;
						</P>
			<P>Convert c_standard.sxc to c_standard.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_standard.pdb.&nbsp; <BR>Insert the following column immediately
			after the first and before the second:&nbsp; 
			</P>
			<BLOCKQUOTE>Col 2</BLOCKQUOTE>
			<BLOCKQUOTE>2</BLOCKQUOTE>
			<BLOCKQUOTE>2</BLOCKQUOTE>
			<BLOCKQUOTE>2</BLOCKQUOTE>
			<P>Export the doc back to c_standard.pdb.&nbsp; <BR>Merge
			c_standard.pdb to c_standard.sxc.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain:&nbsp;
						</P>
			<BLOCKQUOTE>Col 1 Col 2 Col 3</BLOCKQUOTE>
			<BLOCKQUOTE>1 2 3</BLOCKQUOTE>
			<BLOCKQUOTE>1 2 3</BLOCKQUOTE>
			<BLOCKQUOTE>1 2 3</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/simple04</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: simple spreadsheet - delete text&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_standard.sxc</B>.&nbsp;
						</P>
			<P>Convert c_standard.sxc to c_standard.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_standard.pdb.&nbsp; <BR>Delete &#8220;Column 3&#8221;, so that
			it reads:&nbsp; 
			</P>
			<BLOCKQUOTE>Col 1 Col 2</BLOCKQUOTE>
			<BLOCKQUOTE>1 2</BLOCKQUOTE>
			<BLOCKQUOTE>1 2</BLOCKQUOTE>
			<P>Export the doc back to c_standard.pdb.&nbsp; <BR>Merge
			c_standard.pdb to c_standard.sxc.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>The resultant file should contain:&nbsp;
						</P>
			<BLOCKQUOTE>Col 1 Col 2</BLOCKQUOTE>
			<BLOCKQUOTE>1 2</BLOCKQUOTE>
			<BLOCKQUOTE>1 2</BLOCKQUOTE>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/addition</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 4 columns 10 entries -
			Spreadsheet Simple Addition using various formulae.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_addition.sxc</B>. 
			</P>
			<P>Convert c_addition.sxc to c_addition.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_addition.pdb.&nbsp; <BR>Change Cell Reference &quot;A1&quot; = 3
			in formula bar.&nbsp; <BR>Export the doc back to c_addition.pdb.&nbsp;
			<BR>Merge c_addition.pdb to c_addition.sxc.&nbsp; 
			</P>
			<P>A1 =3 ; B1 = 3 ; C1 =4 ;D1 =5;&nbsp; 
			</P>
			<P>Addition types: 
			</P>
			<P>Cell reference + Integer = A1+2 =5 
			</P>
			<P>Integer + Decimal = 3+0.1 =3.1 
			</P>
			<P>Cell Reference + Cell Reference = A1+B1 = 6 
			</P>
			<P>(Bracketed Cell Reference) + (Integer + Integer) =
			(A1+B1)+(2+45) = 53 
			</P>
			<P>Integer + (Integer) + (Integer+Integer) = 2+(0)+(3+0) = 5 
			</P>
			<P>(SUM(Cell Ref;Cell Ref) +SUM(Cell Ref;Cell Ref) =
			(SUM(A1;B1)+SUM(B1;C1) = 13 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;All spreadsheet entered
			values &amp; the standard formula SUM of each cell should be
			displayed as above, formulae as stated above should be visible in
			the Formula Bar.&nbsp;</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/backwardrange</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 7 entries -
			Spreadsheet backwardranging using various formulae.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_backwardrange.sxc</B>.&nbsp;
						</P>
			<P>Convert c_alignment.sxc to c_alignment.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_alignment.pdb.&nbsp; <BR>Change Cell Reference &quot;B2&quot; =
			AVERAGE(2;5;5) in formula bar.&nbsp; <BR>Export the doc back to
			c_alignment.pdb.&nbsp; <BR>Merge c_alignment.pdb to
			c_alignment.sxc.&nbsp; 
			</P>
			<P>Logical Funtion test B4: 
			</P>
			<P>IF(Logical Test; Then Value;Else Value) 
			</P>
			<P>.e.g. IF(23;45.45;54.54) = 45.45&nbsp; 
			</P>
			<P>read as if logical test TRUE then place THEN VALUE in cell else
			place ELSE VALUE. <BR>&nbsp; <BR>&nbsp; <BR>&nbsp; 
			</P>
			<P>Statistical Functional tests B2 , B3 resp.: 
			</P>
			<P>AVERAGE(2;5;5) - Returns sum of arguments divided by number of
			arguments =4 . 
			</P>
			<P>MAX(10;3;3) - Returns the maximum value in a list of arguments
			=10. <BR>&nbsp; <BR>&nbsp; <BR>&nbsp; 
			</P>
			<P>Negative addition test B1: 
			</P>
			<P>=B2-B3 = 4 - 10 = -6 <BR>&nbsp; <BR>&nbsp; <BR>&nbsp; 
			</P>
			<P>Range Addition tests A1, A5, B5: 
			</P>
			<P>SUM(B2;B4) = B2 + B3 + B4 = 4 + 10 + 45.45 = 59.45. 
			</P>
			<P>SUM(A1:B2) -B4 = (59.45 + (-6) +4) - 45.45 = 12</P>
			<P>SUM(A1;B1)-A2 = (59.45 + (-6)) - 0 = 53.45 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;All spreadsheet entered
			values &amp; the standard formula SUM of each cell should be
			displayed on sheet as detailed above, formulae as stated above
			should be visible in the Formula Bar.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/boolean</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 column 2 entries -
			Spreadsheet boolean entry.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_boolean.sxc</B>. 
			</P>
			<P>Convert c_boolean.sxc to c_boolean.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_boolean.pdb.&nbsp; <BR>Change Cell Reference &quot;A2&quot; =
			TRUE in formula bar.&nbsp; <BR>Export the doc back to
			c_boolean.pdb.&nbsp; <BR>Merge c_boolean.pdb to c_boolean.sxc.&nbsp;
						</P>
			<P>Logical Funtion test : cells A1, A2: 
			</P>
			<P>A1=TRUE 
			</P>
			<P>A2=TRUE 
			</P>
			<P>Returns the logical values TRUE to the cells resp. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;The logical entry of each
			cell should be displayed on the sheet as stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cellcurrencyvalue</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 10 entries -
			Spreadsheet Currency number Format conversion test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cellcurrencyvalue.sxc</B>.
						</P>
			<P>Convert c_cellcurrencyvalue.sxc to c_cellcurrencyvalue.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_cellcurrencyvalue.pdb.&nbsp; <BR>Export
			the doc back to c_cellcurrencyvalue.pdb.&nbsp; <BR>Merge
			c_cellcurrencyvalue.pdb to c_cellcurrencyvalue.sxc.&nbsp; 
			</P>
			<P>Display Sheet : 12 DM. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet entered values or
			the sum of each cell should be displayed with specified Currency
			symbol, formulae should be visible in the Formula Bar but not the
			currency symbol.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cellcurrencychange</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 10 entries -
			Spreadsheet Currency number Format modification test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cellcurrencychange.sxc</B>.
						</P>
			<P>Convert c_cellcurrencychange.sxc to c_cellcurrencychange.pdb,
			in MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_cellcurrencychange.pdb.&nbsp; <BR>Change
			Cell Reference &quot;A1&quot; to have currency format in Danish
			Marks (DM).&nbsp; <BR>Export the doc back to
			c_cellcurrencychange.pdb.&nbsp; <BR>Merge c_cellcurrencychange.pdb
			to c_cellcurrencychange.sxc.&nbsp; 
			</P>
			<P>Select cell A1 = 12 ; then tap pen icon option on palm, choose
			Currency from palm listbox, tap on the down arrow to the right of
			the flashing cursor, tap on the intended currency type .e.g DM
			(Danish Mark) and tap apply &amp; OK. 
			</P>
			<P>Display Sheet : 12 DM. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet entered values or
			the sum of each cell should be displayed with specified Currency
			symbol, formulae should be visible in the Formula Bar but not the
			currency symbol.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cellfloatvalue</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 6 entries -
			Spreadsheet float values.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cellfloatvalue.sxc</B>.&nbsp;
						</P>
			<P>Convert c_cellfloatvalue.sxc to c_cellfloatvalue.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_cellfloatvalue.pdb.&nbsp; <BR>Change Cell
			Reference &quot;A1&quot; = 11 &amp; &quot;A2&quot; = 2.38 &amp; B3
			100.02450 in formula bar.&nbsp; <BR>Export the doc back to
			c_cellfloatvalue.pdb.&nbsp; <BR>Merge c_cellfloatvalue.pdb to
			c_cellfloatvalue.sxc.&nbsp; 
			</P>
			<P>The original sheet has selected Format -&gt; Cells... -&gt;
			Numbers Tab -&gt; &amp; Numbers from the list box, choosen
			-1234.12, tho set the Format Code to 0.00 preventing the sheet
			display rounding values to two decimal places. It also has
			fraction display enabled in certain cells.</P>
			<P>Formula Bar : Display Sheet: 
			</P>
			<P>A1 = 11 -&gt; 11.00 
			</P>
			<P>A2 = 2.38 -&gt; 2 19/50 
			</P>
			<P>A3 = 0.45 -&gt; 0.45 
			</P>
			<P>B2 = 0.23 -&gt; 2/9 
			</P>
			<P>B3 = 100.02450 -&gt; 100.02 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet fractional &amp;
			decimal values should be displayed with specified precision as
			stated above, formulae should be visible in the Formula Bar.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cellpercentvalue</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 3 entries -
			Spreadsheet percentage value precision.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cellpercentvalue.sxc</B>.&nbsp;
						</P>
			<P>Convert c_cellpercentvalue.sxc to c_cellpercentvalue.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_cellpercentvalue.pdb.&nbsp; <BR>Change
			Cell Reference &quot;A1&quot; = 120% &amp; &quot;B1&quot; = 10% in
			formula bar.&nbsp; <BR>Export the doc back to
			c_cellpercentvalue.pdb.&nbsp; <BR>Merge c_cellpercentvalue.pdb to
			c_cellpercentvalue.sxc.&nbsp; 
			</P>
			<P>For cell A1 enter 120% in the Formula Bar. Sheet Display =
			120.00%&nbsp; 
			</P>
			<P>For cell B1 enter 10% in the Formula Bar. Sheet Display = 10% 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet percentage values
			should be displayed with specified precision as stated above,
			formulae should be visible in the Formula Bar.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cellstringvalue</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 4 columns 11 entries -
			Spreadsheet String values.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cellstringvalue.sxc</B>.&nbsp;
						</P>
			<P>Convert c_cellstringvalue.sxc to c_cellstringvalue.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_cellstringvalue.pdb.&nbsp; <BR>Change
			Cell Reference &quot;C2&quot; = Testing &amp; DELETE contents of
			&quot;D2&quot; &amp; insert a ';' in &quot;B3&quot; in formula
			bar.&nbsp; <BR>Export the doc back to c_cellstringvalue.pdb.&nbsp;
			<BR>Merge c_cellstringvalue.pdb to c_cellstringvalue.sxc.&nbsp; 
			</P>
			<P>A1 = This A2 = With A3 = For 
			</P>
			<P>B1 = Cell B2 = Strings B3 = ; 
			</P>
			<P>C1 = Is C2 = Testing C3 = string values 
			</P>
			<P>D1 = Filled D2 = &quot;blank&quot;&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet strings values
			should be displayed as stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/character</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 4 columns 23 entries -
			Spreadsheet character values.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_character.sxc</B>.&nbsp;
						</P>
			<P>Convert c_character.sxc to c_character.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_character.pdb.&nbsp; <BR>Change Cell Reference &quot;C7&quot; =
			-??%, .i.e appending a % sign.&nbsp; <BR>Export the doc back to
			c_character.pdb.&nbsp; <BR>Merge c_character.pdb to
			c_character.sxc.&nbsp; 
			</P>
			<P>C7 = -??%&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet character values
			should be displayed as in original file including minor change
			stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cyclic</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 8 entries -
			Spreadsheet error messages.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cyclic.sxc</B>.&nbsp; 
			</P>
			<P>Convert c_cyclic.sxc to c_cyclic.pdb, in MiniCalc PDB format.&nbsp;
			<BR>Start POSE with MiniCalc application and import c_cyclic.pdb.&nbsp;
			<BR>Change Cell Reference &quot;A4&quot; &amp; &quot;A5&quot; = 0
			&amp; &quot;B4&quot; = A1/A4, &quot;B5&quot;= A4/A5 in formula
			bar.&nbsp; <BR>Export the doc back to c_cyclic.pdb.&nbsp; <BR>Merge
			c_cyclic.pdb to c_cyclic.sxc.&nbsp; 
			</P>
			<P>Changes should generate 2 extra errors shown below. 
			</P>
			<P>B4 = Err.503</P>
			<P>B5 = #VALUE! 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values including 2 extra errors generated by
			the changes detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/dividefloating</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 7 entries -
			Spreadsheet dividing floating points.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_dividefloating.sxc</B>.&nbsp;
						</P>
			<P>Convert c_dividefloating.sxc to c_dividefloating.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_dividefloating.pdb.&nbsp; <BR>Change Cell
			Reference &quot;A4&quot; = -(12.2)/(5-1) &amp; &quot;B2&quot; = to
			be positive, in formula bar.&nbsp; <BR>Export the doc back to
			c_dividefloating.pdb.&nbsp; <BR>Merge c_dividefloating.pdb to
			c_dividefloating.sxc.&nbsp; 
			</P>
			<P>B2 = 03.050000&nbsp; 
			</P>
			<P>A4 = -03.05</P>
			<P>Spreadsheet setting : Format -&gt; Cells... -&gt; Decimal
			Places=6, Negative numbers red= TRUE, Leading zero's =2 -&gt; OK. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values and newly entered floating point
			division with specified precision &amp; colour, as stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/forwardrange</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 2 columns 4 rows 5 entries -
			Spreadsheet tests forwardranging.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_forwardrange.sxc</B>.&nbsp;
						</P>
			<P>Convert c_forwardrange.sxc to c_forwardrange.pdb, in MiniCalc
			PDB format.&nbsp; <BR>Start POSE with MiniCalc application and
			import c_forwardrange.pdb.&nbsp; <BR>Change Cell Reference &quot;B4&quot;
			= IF(0;45.45;54.54), in formula bar.&nbsp; <BR>Export the doc back
			to c_forwardrange.pdb.&nbsp; <BR>Merge c_forwardrange.pdb to
			c_forwardrange.sxc.&nbsp; 
			</P>
			<P>Changes IF statement to False so ELSE VALUE now valid. 
			</P>
			<P>B4 = 54.54 
			</P>
			<P>A1 = SUM(B2;B4) = B2+B3+B4 =56.23 + 560 + 54.54 = 670.77 
			</P>
			<P><B>Expected result:</B> <BR>Spreadsheet values &amp; the
			modified standard formula SUM'sl should be displayed in each cell
			on sheet to reflect the changes as stated above, formulae should
			be visible in the Formula Bar.&nbsp;</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/hiddenrow</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 5 columns 2 rows 9 entries -
			Spreadsheet tests hidden row.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_hiddenrow.sxc</B>.&nbsp;
						</P>
			<P>Convert c_hiddenrow.sxc to c_hiddenrow.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_hiddenrow.pdb.&nbsp; <BR>Select Format -&gt; Row -&gt; Show.&nbsp;
			<BR>Export the doc back to c_hiddenrow.pdb.&nbsp; <BR>Merge
			c_hiddenrow.pdb to c_hiddenrow.sxc.&nbsp; 
			</P>
			<P>A previously hidden row 2 appears. 
			</P>
			<P><B>Expected result:</B> <BR>Spreadsheet values &amp; standard
			formula SUM's should be displayed in each cell on sheet as before
			including a new row #2 which reflects the change stated above.&nbsp;</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/invalidcellref</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 3 columns 3 rows 8 entries -
			Spreadsheet invalid cell references.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_invalidcellref.sxc</B>.&nbsp;
						</P>
			<P>Convert c_invalidcellref.sxc to c_invalidcellref.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_invalidcellref.pdb.&nbsp; <BR>Change Cell
			Reference &quot;A3&quot; = MAX(1;2;3) , &quot;C2&quot; = &quot;blank&quot;,
			&quot;C3&quot; = a0, in formula bar.&nbsp; <BR>Export the doc back
			to c_invalidcellref.pdb.&nbsp; <BR>Merge c_invalidcellref.pdb to
			c_invalidcellref.sxc.&nbsp; 
			</P>
			<P>Changes should generate 2 extra errors shown below. 
			</P>
			<P>A3 = 3&nbsp; 
			</P>
			<P>C2 = &quot;blank&quot; 
			</P>
			<P>C3 = #NAME? 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, excpet &quot;C3&quot; which holds new
			invalid input warning generated by the change detailed above,
			sheet should also show removal of 2 types of invalid input with
			valid input replacements &quot;A3&quot; &amp; &quot;C2&quot;.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/largerange</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 3 columns 3 rows 8 entries -
			Spreadsheet large range test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_largerange.sxc</B>.&nbsp;
						</P>
			<P>Convert c_largerange.sxc to c_largerange.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_largerange.pdb.&nbsp; <BR>Change Cell Reference &quot;B3&quot; =
			SUM(E7:G10), in formula bar.&nbsp; <BR>Export the doc back to
			c_largerange.pdb.&nbsp; <BR>Merge c_largerange.pdb to
			c_largerange.sxc.&nbsp; 
			</P>
			<P>Increases the range by an extra row. 
			</P>
			<P>B3 = SUM(E7:G10) = E7+F7+G7+E8+F8+G8+E9+F9+G9+E10+F10+G10 = 
			</P>
			<P>= 4+4+4+2+2+4+1+4+4+1+1+12 = 31 +12 = 43 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;B3&quot; which holds new
			larger range standard formula SUM generated by the change detailed
			above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/listrange</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 5 columns 4 rows 20 entries -
			Spreadsheet listrange test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_listrange.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_listrange.sxc to c_listrange.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_listrange.pdb.&nbsp; <BR>Change Cell Reference &quot;D3&quot; =
			24, in formula bar.&nbsp; <BR>Export the doc back to
			c_listrange.pdb.&nbsp; <BR>Merge c_listrange.pdb to
			c_listrange.sxc.&nbsp; 
			</P>
			<P>D3 = 24 
			</P>
			<P>A4 = SUM(A1:A3) = 256.1 
			</P>
			<P>B4 = AVERAGE(A1:A3) = 17.07 
			</P>
			<P>C4 = AVERAGE(A4:B4) = AVERAGE( 256.1+17.07) = 136.59 
			</P>
			<P>D4 = AVERAGE(D1;D2;D3) = AVERAGE( 13.1+18+24) = 18.37 
			</P>
			<P>E5 = SUM(A4:B4:C4:D4) = (256.1+17.07+136.59+18.37) = 428.13<BR>&nbsp;
			<BR>&nbsp; <BR>&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except cells &quot;A4-E4&quot; which
			hold the modified standard formula SUM &amp; AVERAGE value's
			generated by the change in D3 detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/mathematical</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 5 columns 3 rows 15 entries -
			Spreadsheet stanadard math functs test in (Rad).&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_mathematical.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_mathematical.sxc to c_mathematical.pdb, in MiniCalc
			PDB format.&nbsp; <BR>Start POSE with MiniCalc application and
			import c_mathematical.pdb.&nbsp; <BR>Change Cell Reference &quot;B1&quot;
			= SIN(3.14/2), &quot;B2&quot; =COS(0), &quot;C3&quot;= TAN(1.57/2)
			in formula bar.&nbsp; <BR>Export the doc back to
			c_mathematical.pdb.&nbsp; <BR>Merge c_mathematical.pdb to
			c_mathematical.sxc.&nbsp; 
			</P>
			<P>B1 = 1</P>
			<P>B2 = 1 
			</P>
			<P>C3 =1 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values except cells &quot;B1,B2,C3&quot; which
			hold modified sin,cos &amp; tan value's generated by the changes
			stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/protection</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 column 3 rows 3 entries -
			Spreadsheet protection test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_protection.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_protection.sxc to c_protection.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_protection.pdb.&nbsp; <BR>Attempt to Change Cell Reference &quot;A1&quot;
			either directly or in formula bar from the value 12 to 1.&nbsp;
			<BR>Export the doc back to c_protection.pdb.&nbsp; <BR>Merge
			c_protection.pdb to c_protection.sxc.&nbsp; 
			</P>
			<P>User should be unable to change cell contents, popup error
			message &quot;Protected cells can not be modified&quot; should
			appear. 
			</P>
			<P>This is because the Tools -&gt; Protect Document -&gt; Sheet
			option has been enabled with a password and therefore all cells on
			sheet are write protected.&nbsp; 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/renamedsheet</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 3 sheets 0 entries -
			Spreadsheet rename test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_renamedsheet.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_renamedsheet.sxc to c_renamedsheet.pdb, in MiniCalc
			PDB format.&nbsp; <BR>Start POSE with MiniCalc application and
			import c_renamedsheet.pdb.&nbsp; <BR>Change sheet named &quot;testplan&quot;
			to &quot;renamed&quot;.&nbsp; <BR>Export the doc back to
			c_renamedsheet.pdb.&nbsp; <BR>Merge c_renamedsheet.pdb to
			c_renamedsheet.sxc.&nbsp; 
			</P>
			<P>Click on &quot;testplan&quot; sheet tab, and using 3<SUP>rd</SUP>
			mouse button, choose Rename..., from popup menu, enter new sheet
			name &amp; OK. 
			</P>
			<P>OR choose Format -&gt; Sheet -&gt; Rename... enter new sheet
			name &amp; OK. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheets &amp; names, with the exception of the
			&quot;testplan&quot; sheet which should now be labelled &quot;renamed&quot;
			.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/sheetreference</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 3 sheets 4 columns 4 rows 11
			entries - Spreadsheet sheetreference test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_sheetreference.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_sheetreference.sxc to c_sheetreference.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_sheetreference.pdb.&nbsp; <BR>Change Cell
			Reference &quot;A3&quot; = Sheet3.B1.&nbsp; <BR>Export the doc
			back to c_sheetrefernce.pdb.&nbsp; <BR>Merge c_sheetreference.pdb
			to c_sheetreference.sxc.&nbsp; 
			</P>
			<P>A3 = 3. 
			</P>
			<P>B4 =26.</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original value's &amp; formulae as in original file, except
			cells &quot;A3&quot;&amp; &quot;A4&quot; which should display a
			different sheet reference value and the modified sheet reference
			formula, reflecting the changes stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/smallrange</B> <BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 4 columns 3 rows 10 entries -
			Spreadsheet small range test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_smallrange.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_smallrange.sxc to c_smallrange.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_smallrange.pdb.&nbsp; <BR>Change Cell Reference &quot;B3&quot; =
			AVERAGE(A1:B2), in formula bar.&nbsp; <BR>Export the doc back to
			c_smallrange.pdb.&nbsp; <BR>Merge c_smallrange.pdb to
			c_smallrange.sxc.&nbsp; 
			</P>
			<P>Decrease the range by 1 row. 
			</P>
			<P>B3 = AVERAGE(A1:B2) = (1+2+3+3)/4 = 2.25 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A3&quot; which now holds
			average value of new smaller range generated by the change
			detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cancel</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm confirm &amp;cancel test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cancel.sxc</B>.&nbsp; 
			</P>
			<P>Convert c_cancel.sxc to c_cancel.pdb, in MiniCalc PDB format.&nbsp;
			<BR>Start POSE with MiniCalc application and import c_cancel.pdb.&nbsp;
			<BR>Select with mouse Cell Reference &quot;A2&quot; on dotted line
			on palm type 14, tap &#8220;TICK&#8221; option (leftmost option on
			palm) to confirm, repeat this step this time Changing Cell
			Reference &#8220;A2&#8221; = 1, except this time tap the &#8220;X&#8221;
			option to cancel.&nbsp; <BR>Export the doc back to c_cancel.pdb.&nbsp;
			<BR>Merge c_cancel.pdb to c_cancel.sxc.&nbsp; 
			</P>
			<P>A2 = 14. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A2&quot; which now holds
			the value 14 generated by the change detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/cut&amp;paste</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm cut&amp;paste test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_cut&amp;paste.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_cut&amp;paste.sxc to c_cut&amp;paste.pdb, in MiniCalc
			PDB format.&nbsp; <BR>Start POSE with MiniCalc application and
			import c_cut&amp;paste.pdb.&nbsp; <BR>Choose Cell Reference &quot;A2&quot;
			with mouse, tap cut option on palm, choose Cell Reference &#8220;A5&#8221;
			and tap paste option.&nbsp; <BR>Export the doc back to
			c_cut&amp;paste.pdb.&nbsp; <BR>Merge c_cut&amp;paste.pdb to
			c_cut&amp;paste.sxc.&nbsp; 
			</P>
			<P>A2 = &#8220;blank&#8221;.</P>
			<P>A5 = 14. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A2&quot; &amp; &#8220;A5&#8221;
			which now holds the values blank &amp; 14 resp. generated by the
			changes detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/copy&amp;paste</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm copy&amp;paste test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_copy&amp;paste.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_copy&amp;paste.sxc to c_copy&amp;paste.pdb, in
			MiniCalc PDB format.&nbsp; <BR>Start POSE with MiniCalc
			application and import c_copy&amp;paste.pdb.&nbsp; <BR>Choose Cell
			Reference &quot;A5&quot; with mouse, tap copy option on palm,
			choose Cell Reference &#8220;A2&#8221; and tap paste option.&nbsp;
			<BR>Export the doc back to c_copy&amp;paste.pdb.&nbsp; <BR>Merge
			c_copy&amp;paste.pdb to c_copy&amp;paste.sxc.&nbsp; 
			</P>
			<P>A2 = 14.</P>
			<P>A5 = 14. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A2&quot; which now holds
			the value 14 generated by the change detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/textentry</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm text entry test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_textentry.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_textentry.sxc to c_textentry.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_textentry.pdb.&nbsp; <BR>Choose Cell Reference &quot;A1&quot;
			with mouse, tap textentry option on palm, type the following text
			string into the popup text box &#8220;This is a MiniCalc text
			entry test.&#8221;.<BR>Export the doc back to c_textentry.pdb.&nbsp;
			<BR>Merge c_textentry.pdb to c_textentry.sxc.&nbsp; 
			</P>
			<P>A1 = &#8220;This is a MiniCalc text entry test.&#8221;</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A1&quot; which now holds
			the string &#8220;This is a MiniCalc text entry test&#8221;,
			generated by the change detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/function</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm function test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_function.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_function.sxc to c_function.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_function.pdb.&nbsp; <BR>Choose Cell Reference &quot;A1&quot;
			with mouse, tap standard function option on palm, choose the
			function AVERAGE from the popup list by tapping, type the values
			&#8220;1;2;3&#8221; between the function brackets on the dotted
			line were the cursor is placed and press return.<BR>Export the doc
			back to c_function.pdb.&nbsp; <BR>Merge c_function.pdb to
			c_function.sxc.&nbsp; 
			</P>
			<P>A1 = AVERAGE(1;2;3) = 2.</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A1&quot; which now holds
			the result of the average function given args (1;2;3) = 2
			generated by the change detailed above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/numberpad</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm numberpad test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_numberpad.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_numberpad.sxc to c_numberpad.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_numberpad.pdb.&nbsp; <BR>Choose Cell Reference &quot;A1&quot;
			with mouse, tap the &#8220;123&#8221; option on the palm, tap
			&#8220;-&gt;&#8221;, &#8220;=&#8221;, &#8220;5-0+2&#8221; from
			popup numberpad, and press return.<BR>Export the doc back to
			c_numberpad.pdb.&nbsp; <BR>Merge c_numberpad.pdb to
			c_numberpad.sxc.&nbsp; 
			</P>
			<P>A1 = 5-0+2 = 7.</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A1&quot; which now holds
			the result of the formula 5-0+2, generated by the change detailed
			above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/math_funcs</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm numberpad test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_math_funcs.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_math_funcs.sxc to c_math_funcs.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_math_funcs.pdb.&nbsp; <BR>Choose the Cell References below with
			mouse,and for each type on the palm the corresponding entry before
			pressing return.</P>
			<P>A1 = <BR>Export the doc back to c_math_funcs.pdb.&nbsp; <BR>Merge
			c_math_funcs.pdb to c_math_funcs.sxc.&nbsp; 
			</P>
			<P>A1 = .</P>
			<P>A2 =</P>
			<P>A3 = 
			</P>
			<P>A4 =</P>
			<P><BR><BR>
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A1&quot; which now holds
			the result of the formula 5-0+2, generated by the change detailed
			above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/insertrow</B><BR>&nbsp;</P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 columns 4 rows 4entries -
			Spreadsheet palm insert row test.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_insertrow.sxc</B>.&nbsp;
			
			</P>
			<P>Convert c_insertrow.sxc to c_insertrow.pdb, in MiniCalc PDB
			format.&nbsp; <BR>Start POSE with MiniCalc application and import
			c_insertrow.pdb.&nbsp;</P>
			<P><BR>Select Cell Reference &quot;A3&quot; with mouse, tap the
			side bar of the spreadsheet at position 3 on the palm, tap
			&#8220;Insert&#8221; from popup menu, and press return. Select the
			newly inserted Cell Reference with mouse and enter the number &#8220;2&#8221;,
			press return.<BR><BR><BR>
			</P>
			<P>Export the doc back to c_insertrow.pdb.&nbsp; <BR>Merge
			c_insertrow.pdb to c_insertrow.sxc.&nbsp; 
			</P>
			<P>A1 = .</P>
			<P><B>Expected result:</B> <BR>&nbsp;Spreadsheet should display
			all original sheet values, except &quot;A1&quot; which now holds
			the result of the formula 5-0+2, generated by the change detailed
			above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><B>minicalc/convert/content/multi_boolean</B></P>
		</TD>
		<TD WIDTH=584>
			<P><B>Summary</B>: Spreadsheet with 1 column 8 entries -
			Spreadsheet multi boolean entry.&nbsp; 
			</P>
			<P><B>Procedure:</B> <BR>Use test file <B>c_multi_boolean.sxc</B>.
			
			</P>
			<P>Convert c_multi_boolean.sxc to c_multi_boolean.pdb, in MiniCalc
			PDB format.&nbsp; <BR>Start POSE with MiniCalc application and
			import c_multi_boolean.pdb.&nbsp; <BR>Export the doc back to
			c_multi_boolean.pdb.&nbsp; <BR>Merge c_multi_boolean.pdb to
			c_multi_boolean.sxc.&nbsp; 
			</P>
			<P>Logical Funtion test : cells A1-A4: 
			</P>
			<P>A1-A4 = FALSE 
			</P>
			<P>A5-A8 = TRUE 
			</P>
			<P>Returns 4 logical FALSE &amp; TRUE values resp.. 
			</P>
			<P><B>Expected result:</B> <BR>&nbsp;The logical entry of each
			cell should be displayed on the sheet as stated above.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=431>
			<P><BR>
			</P>
		</TD>
		<TD WIDTH=584>
			<P><BR>
			</P>
		</TD>
	</TR>
</TABLE>
<P><BR>&nbsp; <BR>&nbsp; <BR>&nbsp; 
</P>
</BODY>
</HTML>